> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Compliance profile

> One property's compliance facts, approved exceptions and history



## OpenAPI

````yaml /openapi.json get /properties/{propertyId}/compliance
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /properties/{propertyId}/compliance:
    get:
      tags:
        - compliance
      summary: Compliance profile
      description: One property's compliance facts, approved exceptions and history
      operationId: compliance.complianceProfile
      parameters:
        - name: propertyId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceProfileRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/CompliancePropertyNotFoundError'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    ComplianceProfileRow:
      type: object
      properties:
        propertyId:
          type: string
        facts:
          type: object
          properties:
            gasAppliances:
              type: string
              enum:
                - unknown
                - 'yes'
                - 'no'
            combustionAppliance:
              type: string
              enum:
                - unknown
                - 'yes'
                - 'no'
            licensing:
              type: string
              enum:
                - unknown
                - none
                - mandatory_hmo
                - additional_hmo
                - selective
            landlordAppliances:
              type: string
              enum:
                - unknown
                - 'yes'
                - 'no'
          required:
            - gasAppliances
            - combustionAppliance
            - licensing
            - landlordAppliances
          additionalProperties: false
        ownFacts:
          anyOf:
            - type: object
              properties:
                gasAppliances:
                  type: string
                  enum:
                    - unknown
                    - 'yes'
                    - 'no'
                combustionAppliance:
                  type: string
                  enum:
                    - unknown
                    - 'yes'
                    - 'no'
                licensing:
                  type: string
                  enum:
                    - unknown
                    - none
                    - mandatory_hmo
                    - additional_hmo
                    - selective
                landlordAppliances:
                  type: string
                  enum:
                    - unknown
                    - 'yes'
                    - 'no'
              required:
                - gasAppliances
                - combustionAppliance
                - licensing
                - landlordAppliances
              additionalProperties: false
            - type: 'null'
        factSources:
          anyOf:
            - type: object
              properties:
                gasAppliances:
                  type: string
                  enum:
                    - own
                    - portfolio
                    - unrecorded
                combustionAppliance:
                  type: string
                  enum:
                    - own
                    - portfolio
                    - unrecorded
                licensing:
                  type: string
                  enum:
                    - own
                    - portfolio
                    - unrecorded
                landlordAppliances:
                  type: string
                  enum:
                    - own
                    - portfolio
                    - unrecorded
              required:
                - gasAppliances
                - combustionAppliance
                - licensing
                - landlordAppliances
              additionalProperties: false
            - type: 'null'
        revision:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        policyVersion:
          anyOf:
            - type: string
            - type: 'null'
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
        updatedByUserId:
          anyOf:
            - type: string
            - type: 'null'
        exceptions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              propertyId:
                type: string
              kind:
                type: string
                enum:
                  - gas_safety
                  - eicr
                  - epc
                  - smoke_co
                  - licence
              type:
                type: string
                enum:
                  - eicr_excluded_tenancy
                  - epc_listed_building
                  - mees_exemption
                  - mees_new_landlord
                  - temporary_exemption_notice
                  - licence_application_pending
              reason:
                type: string
              evidenceDocumentId:
                type: string
              expiresOn:
                type: string
              renewsExceptionId:
                anyOf:
                  - type: string
                  - type: 'null'
              approvedByUserId:
                type: string
              approvedAt:
                type: string
              policyVersion:
                type: string
              revokedAt:
                anyOf:
                  - type: string
                  - type: 'null'
              revokedByUserId:
                anyOf:
                  - type: string
                  - type: 'null'
              revocationReason:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - propertyId
              - kind
              - type
              - reason
              - evidenceDocumentId
              - expiresOn
              - renewsExceptionId
              - approvedByUserId
              - approvedAt
              - policyVersion
              - revokedAt
              - revokedByUserId
              - revocationReason
            additionalProperties: false
        context:
          anyOf:
            - type: object
              properties:
                propertyType:
                  anyOf:
                    - type: string
                    - type: 'null'
                heating:
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: 'null'
                currentTenancyStartOn:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
              required:
                - propertyType
                - heating
              additionalProperties: false
            - type: 'null'
        history:
          anyOf:
            - type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  kind:
                    type: string
                  detail:
                    type: string
                  exceptionId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  actorUserId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  policyVersion:
                    type: string
                  createdAt:
                    type: string
                required:
                  - id
                  - kind
                  - detail
                  - exceptionId
                  - actorUserId
                  - policyVersion
                  - createdAt
                additionalProperties: false
            - type: 'null'
      required:
        - propertyId
        - facts
        - revision
        - policyVersion
        - updatedAt
        - updatedByUserId
        - exceptions
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    CompliancePropertyNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - CompliancePropertyNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.